jalview (2.11.4.1+dfsg-1) unstable; urgency=medium

  * New upstream version 2.11.4.1+dfsg
  * Refreshing patches
  * Restricting autopkgtest architectures

 -- Pierre Gruet <pgt@debian.org>  Sun, 16 Feb 2025 11:38:27 +0100

jalview (2.11.4.0+dfsg-3) unstable; urgency=medium

  * Upload to unstable after fixes in experimental

 -- Pierre Gruet <pgt@debian.org>  Sun, 06 Oct 2024 09:40:55 +0200

jalview (2.11.4.0+dfsg-3~exp1) experimental; urgency=medium

  * Waiting a bit for the launcher to start
  * Launching autopkgtest with xvfb-run to avoid errors due to headless
    environment

 -- Pierre Gruet <pgt@debian.org>  Sat, 05 Oct 2024 23:48:52 +0200

jalview (2.11.4.0+dfsg-3~exp0) experimental; urgency=medium

  * Putting example files in the working directory of the autopkgtest
  * Disabling unneeded Java version checks at startup

 -- Pierre Gruet <pgt@debian.org>  Fri, 04 Oct 2024 16:15:33 +0200

jalview (2.11.4.0+dfsg-2) unstable; urgency=medium

  * Restoring jalview invocation in the wrapper, with no HOME overriding

 -- Pierre Gruet <pgt@debian.org>  Wed, 02 Oct 2024 16:44:33 +0200

jalview (2.11.4.0+dfsg-1) unstable; urgency=medium

  * New upstream version 2.11.4.0+dfsg
  * Refreshing patches
  * Adding commons-math3 to the (build-)dependencies
  * Raising Standards version to 4.7.0 (no change)
  * Raising d/copyright years
  * Adding URL in the MetaInfo file
  * Overriding user.home in the wrapper so that autopkgtests succeed with no
    /home directory

 -- Pierre Gruet <pgt@debian.org>  Wed, 25 Sep 2024 15:54:05 +0200

jalview (2.11.3.1+dfsg-1) unstable; urgency=medium

  * New upstream version 2.11.3.1+dfsg
  * Refreshing patches
  * Refreshing d/copyright
  * Updating the list of files to exclude when repacking
  * Adding guava to the needed libraries for the tests
  * Reworking the build.gradle file
  * Excluding one more test using unpackaged features
  * Complying with the syntax of Debian-packaged groovy
  * Using a look and feel different from the unpackaged flatlaf
  * Managing the test log by grepping it for number of tests and successes, as
    dh_auto_test fails even if all tests are successful
  * Adding Lintian overrides for files with very long lines

 -- Pierre Gruet <pgt@debian.org>  Thu, 30 Nov 2023 15:13:34 +0100

jalview (2.11.2.7+dfsg-1) unstable; urgency=medium

  * New upstream version 2.11.2.7+dfsg
  * Refreshing patches
  * Excluding the jar files now bundled in dist/
  * Fixing the clean target (Closes: #1045599)
  * Enhancing build reproducibility by using the timestamp of d/changelog
    instead of the build time one in build.gradle

 -- Pierre Gruet <pgt@debian.org>  Sun, 08 Oct 2023 23:17:17 +0200

jalview (2.11.2.6+dfsg-1) unstable; urgency=medium

  * New upstream version 2.11.2.6+dfsg
  * Refreshing patches
  * Raising copyright years

 -- Pierre Gruet <pgt@debian.org>  Mon, 26 Jun 2023 14:21:31 +0200

jalview (2.11.2.5+dfsg-3) unstable; urgency=medium

  * Team upload
  * Update log4j dependency to use log4j2 (Closes: #1030414)

 -- tony mancill <tmancill@debian.org>  Sat, 04 Feb 2023 15:21:07 -0800

jalview (2.11.2.5+dfsg-2) unstable; urgency=medium

  * Depending on biojava6 instead of biojava5
  * Raising Standards version to 4.6.2 (no change)
  * Set upstream metadata fields: Repository-Browse.

 -- Pierre Gruet <pgt@debian.org>  Thu, 12 Jan 2023 21:04:14 +0100

jalview (2.11.2.5+dfsg-1) unstable; urgency=medium

  * New upstream version 2.11.2.5+dfsg
  * Honouring Build-Depends-Indep
  * Adding a Lintian override for another file with very-long-lines

 -- Pierre Gruet <pgt@debian.org>  Sat, 19 Nov 2022 00:18:28 +0100

jalview (2.11.2.4+dfsg-1) unstable; urgency=medium

  * New upstream version 2.11.2.4+dfsg
  * Refreshing patches
  * Updating d/watch for new site layout

 -- Pierre Gruet <pgt@debian.org>  Fri, 26 Aug 2022 21:11:54 +0200

jalview (2.11.2.3+dfsg-1) unstable; urgency=medium

  * New upstream version 2.11.2.3+dfsg
  * Refreshing patches
  * Patching out more portions of build.gradle
  * Deactivating the loading of flatlaf Look and Feel
  * Adding a Lintian override for very-long-lines in html files

 -- Pierre Gruet <pgt@debian.org>  Tue, 12 Jul 2022 21:46:57 +0200

jalview (2.11.2.2+dfsg2-1) unstable; urgency=medium

  * New upstream version 2.11.2.2+dfsg2
  * Refreshing patches
  * Updating the list of files to exclude
  * Refreshing d/copyright
  * Raising Standards version to 4.6.1 (no change)
  * Changing incorrect JSON invocations using former patch
  * Moving new upstream definitions and tasks in build.gradle out of the way
  * Build-depending on libmockito-java for the tests
  * Putting jars needed for the build and tests in a subdir of the source dir,
    to ensure only the needed jars are in the classpath during the build
  * Reducing and sorting the classpath of the built jar
  * Skipping the JalviewLite class and its reserve dependencies as applets will
    not be supported in openjdk-17 (Closes: #1011184)
  * Changing the directory in which the .build_properties file is created
  * Removing now useless versioned build-dependency on libapache-mime4j-java
  * Providing a MetaInfo file

 -- Pierre Gruet <pgt@debian.org>  Sun, 22 May 2022 22:46:51 +0200

jalview (2.11.1.4+dfsg-3) unstable; urgency=medium

  * Depending on libbiojava5-java instead of libbiojava4-java

 -- Pierre Gruet <pgt@debian.org>  Tue, 22 Feb 2022 17:40:38 +0100

jalview (2.11.1.4+dfsg-2) unstable; urgency=medium

  * Correcting the BS package in dependency jmol, adding versioned dependency

 -- Pierre Gruet <pgt@debian.org>  Tue, 12 Oct 2021 09:29:07 +0200

jalview (2.11.1.4+dfsg-1) unstable; urgency=medium

  * New upstream version 2.11.1.4+dfsg
  * Refreshing patches
  * Now building with gradle (as upstream) and maven_repo_helper
  * Raising Standards version to 4.6.0 (no change)
  * Adding French translation of debconf templates, thanks to Jean-Pierre
    Giraud! (Closes: #985567, #994482)
  * Adding Spanish translation of debconf templates, thanks to Camaleón!
    (Closes: #988491)
  * Updating the Dutch translation of debconf templates, thanks to Frans
    Spiesschaert! (Closes: #994148)
  * Using the icon now provided by upstream for the application
  * Exiting autopkgtest if one sub-test fails

 -- Pierre Gruet <pgt@debian.org>  Sat, 18 Sep 2021 11:28:01 +0200

jalview (2.11.1.3+dfsg2-5) unstable; urgency=medium

  * Making the build reproducible thanks to Chris Lamb's patch about a
    timestamp issue (Closes: #985448)

 -- Pierre Gruet <pgt@debian.org>  Thu, 18 Mar 2021 21:59:31 +0100

jalview (2.11.1.3+dfsg2-4) unstable; urgency=medium

  * Building the .build_properties file using dpkg-parsechangelog -STimestamp
  * Updating the description in d/control and the d/templates file for debconf
    after debian-l10n-english review (Closes: #983580)
  * Adding translations of debconf questionnaire in
    - Brazilian Portuguese, thanks to Tássia Camoes Araujo (Closes: 984963),
    - Dutch, thanks to Frans Spiesschaert (Closes:984822),
    - Galician, thanks to Pablo,
    - German, thanks to Helge Kreutzmann (Closes:983579),
    - Portuguese, thanks to Américo Monteiro (Closes:984935)

 -- Pierre Gruet <pgt@debian.org>  Thu, 11 Mar 2021 21:49:35 +0100

jalview (2.11.1.3+dfsg2-3) unstable; urgency=medium

  * Writing the .build_properties file needed in the jar
  * Updating the jalview wrapper to allow for either clicking on the icon,
    dropping a file onto it or right-clicking on a file in the file manager
  * Adding maintainer scripts and debconf questions to configure privacy
    options linked to automatic websites pings
  * Changing the date format in the .build_properties file
  * Packaging the example file so that it is not downloaded from the Internet
    at each startup

 -- Pierre Gruet <pgtdebian@free.fr>  Mon, 22 Feb 2021 17:54:06 +0100

jalview (2.11.1.3+dfsg2-2) unstable; urgency=high

  * Adding a memory limitation in the autopkgtest
  * Fixing a typo in d/tests/run-unit-test
  * Removing now useless d/TODO and d/dirs files

 -- Pierre Gruet <pgtdebian@free.fr>  Sun, 07 Feb 2021 22:06:13 +0100

jalview (2.11.1.3+dfsg2-1) unstable; urgency=medium

  [ Pierre Gruet ]
  * New upstream version (Closes: #849025)
  * New uploader (Closes: #897294)
  * Using version 4 in d/watch to remove files
  * Using secure URI in d/watch
  * Switching from cdbs to dh
  * Depending on debhelper-compat 13
  * Making the build with Maven instead of upstream's gradle
  * Removing call to classgraph, not needed for a Debian run
  * Updating build-dependencies list and d/jalview.classpath
  * Modifying the jar launcher by setting properly the jar manifest
  * Updating Vcs-* and Homepage fields in d/control
  * Refreshing d/copyright
  * Bump Standards version to 4.5.1:
    - Providing a FreeDesktop entry instead of former menu entry
    - Rules-Requires-Root: no
    - Using the https form of the copyright-format URL
  * Updating manpage
  * Deactivating Google Analytics, using a non-packaged and improperly
    licensed software
  * Adding Mime types in d/jalview.desktop and d/jalview-mime.xml
  * Adding autopkgtests
  * Integrating the patch of upstream to control the way the web services are
    launched

  [ Steffen Moeller ]
  * Reintroduced debian/upstream/edam file
  * Created debian/upstream/metadata
    - references to papers
    - references to registries
  * Added prior forgotten PMID in metadata
  * d/u/metadata: syntax fixed(?) and URLs added
  * Added ref to conda, RRID->SciCrunch

  [ Andreas Tille ]
  * d/rules: enforce LC_ALL=C.UTF-8 to cope with UTF-8 characters

 -- Pierre Gruet <pgtdebian@free.fr>  Sat, 06 Feb 2021 23:04:36 +0100

jalview (2.7.dfsg-5) unstable; urgency=medium

  * Team upload.
  * Add debian/jalview.classpath and replace usage of JH_CLASSPATH_ARGS to
    avoid unwanted dependency on openjdk-7-jdk. (Closes: #814177)
  * Declare compliance with Debian Policy 3.9.7.
  * Vcs: Use cgit and https.
  * Fix Lintian warning dep5-copyright-license-name-not-unique.

 -- Markus Koschany <apo@debian.org>  Fri, 08 Apr 2016 23:36:00 +0200

jalview (2.7.dfsg-4) unstable; urgency=low

  * Team upload
  * Fixed a compilation error with Java 8 (Closes: #750746)
  * Removed the unused build dependencies on libgnujaf-java, libgnumail-java,
    libxalan2-java and libxerces2-java
  * Updated Standards-Version to 3.9.5 (no changes)
  * Moved the package to Git
  * Switch to debhelper level 9
  * debian/copyright: Fixed a license short name

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 12 Sep 2014 14:56:20 +0200

jalview (2.7.dfsg-3) unstable; urgency=low

  * Team upload.

  [Emmanuel Bourg]
  * Added a patch to compile with Apache Mime4J 0.7.2
  * debian/control:
    - Updated Standards-Version to 3.9.4 (no changes)
    - Runtime dependency on default-jre | java6-runtime (Closes: #727791)
    - Removed the duplicate build dependencies on javahelp2 and libaxis-java
    - Fixed a typo in the package description (Closes: #676623)
  * debian/copyright: Updated the Format URI
  * Updated debian/watch to catch the new releases
  * debian/rules:
    - Added a clean target to allow rebuilds
    - Added jsearch-indexer.jar to the classpath to fix the buildindices target

  [Niels Thykier]
  * Move package under under the Debian Java team with permission from
    Vincent.

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 04 Nov 2013 14:37:52 +0100

jalview (2.7.dfsg-2) unstable; urgency=low

  * Upload to unstable now that jmol is there too
  * Pull patches/newer-jmol-api.diff from upstream's git repository to
    make jalview work with jmol currently in unstable.

 -- Vincent Fourmond <fourmond@debian.org>  Mon, 07 Nov 2011 20:47:14 +0100

jalview (2.7.dfsg-1) experimental; urgency=low

  * Initial release (Closes: #507436)
  * Adding a debian/new-upstream script to repackage the original tarball,
    getting rid of the bundled precompiled JAR files (I love JAR files)
  * Using dh 7 and javahelper
  * Using jh_build for building
  * Uploading to experimental as it works only with the version of jmol in
    experimental

 -- Vincent Fourmond <fourmond@debian.org>  Wed, 19 Oct 2011 20:19:46 +0200
